require 'scm_devise'
require 'rails/railtie'

module Scm_devise
  class Railtie < Rails::Railtie
    initializer 'scm_devise.ar_extensions' do |app|
      ActiveRecord::Base.extend Scm_devise

      Scm_devise.configure do |config|
        config.silence_warnings = Rails.env.test?
        config.logger = Rails.logger
      end
    end
  end
end
